fuzzydl

## Class CreatedIndividual

- java.lang.Object
- - fuzzydl.Individual
  - - fuzzydl.CreatedIndividual

-     public class CreatedIndividual
      extends Individual

  New individual (created during the reasoning).
  Author:
    Fernando Bobillo

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BLOCKED` Blocked.
    `static int` | `NOT_BLOCKED` Not blocked.
    `static int` | `UNCHECKED` Unchecked blocking.

    - ### Fields inherited from class fuzzydl.Individual

      `DEFAULT_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CreatedIndividual(java.lang.String name)` Constructor.
    `CreatedIndividual(java.lang.String name, Individual parent, java.lang.String roleName)` Constructor.
    `CreatedIndividual(java.lang.String name, Individual parent, java.lang.String roleName, KnowledgeBase kb)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CreatedIndividual` | `clone()` Gets a copy of an individual.
    `int` | `getDepth()` Gets the depth of the individual.
    `int` | `getIntegerID()` Gets the integer ID from the individual's name
    `Individual` | `getParent()` Gets the parent of the individual.
    `java.lang.String` | `getParentName()` Gets the name of the parent of the individual.
    `java.lang.String` | `getRoleName()` Gets the toString of the role for which the individual is a filler.
    `boolean` | `isBlocked(KnowledgeBase kb)` Gets if the individual is blocked with respect to a fuzzy KB.
    `boolean` | `isConcrete()` Checks if the individual is concrete.
    `boolean` | `isIndirectlyBlocked(KnowledgeBase kb)` Gets if the individual is indirectly blocked with respect to a fuzzy KB.
    `void` | `markIndirectlySimpleUnChecked(KnowledgeBase kb)` Marks the subtree of a node as indirectly unblocked
    `void` | `setConcreteIndividual()` Sets that the individual is concrete.

    - ### Methods inherited from class fuzzydl.Individual

      `toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BLOCKED

          public static final int BLOCKED

      Blocked.
      See Also:
        Constant Field Values

    - #### NOT_BLOCKED

          public static final int NOT_BLOCKED

      Not blocked.
      See Also:
        Constant Field Values

    - #### UNCHECKED

          public static final int UNCHECKED

      Unchecked blocking.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CreatedIndividual

          public CreatedIndividual(java.lang.String name)

      Constructor.
      Parameters:
        `name` - Name of the individual.

    - #### CreatedIndividual

          public CreatedIndividual(java.lang.String name,
                                   Individual parent,
                                   java.lang.String roleName)

      Constructor.
      Parameters:
        `name` - Name of the individual.
        `parent` - Parent of the individual.
        `roleName` - Name of the role for which the individual is a filler.

    - #### CreatedIndividual

          public CreatedIndividual(java.lang.String name,
                                   Individual parent,
                                   java.lang.String roleName,
                                   KnowledgeBase kb)

      Constructor.
      Parameters:
        `name` - Name of the individual.
        `parent` - Parent of the individual.
        `roleName` - Name of the role for which the individual is a filler.
        `kb` - the knowledge base.

  - ### Method Detail

    - #### clone

          public CreatedIndividual clone()

      Description copied from class: `Individual`
      Gets a copy of an individual.
      Overrides:
        `clone` in class `Individual`
      Returns:
        A copy of the individual.

    - #### getDepth

          public int getDepth()

      Gets the depth of the individual.
      Returns:
        Depth of the individual

    - #### getIntegerID

          public int getIntegerID()

      Gets the integer ID from the individual's name
      Returns:
        integer ID from the individual's name

    - #### getParent

          public Individual getParent()

      Gets the parent of the individual.
      Returns:
        Parent of the individual

    - #### getParentName

          public java.lang.String getParentName()

      Gets the name of the parent of the individual.
      Returns:
        Name of the parent of the individual

    - #### getRoleName

          public java.lang.String getRoleName()

      Gets the toString of the role for which the individual is a filler.
      Returns:
        Name of the role for which the individual is a filler

    - #### isIndirectlyBlocked

          public boolean isIndirectlyBlocked(KnowledgeBase kb)
                                      throws InconsistentOntologyException

      Gets if the individual is indirectly blocked with respect to a fuzzy KB.
      Parameters:
        `kb` - A fuzzy KB.
      Returns:
        true if the individual is indirectly blocked; false otherwise.
      Throws:
        `InconsistentOntologyException` - Inconsistent ontology.

    - #### markIndirectlySimpleUnChecked

          public void markIndirectlySimpleUnChecked(KnowledgeBase kb)

      Marks the subtree of a node as indirectly unblocked
      Parameters:
        `kb` - KnowledgeBase

    - #### isBlocked

          public boolean isBlocked(KnowledgeBase kb)
                            throws InconsistentOntologyException

      Gets if the individual is blocked with respect to a fuzzy KB.
      Parameters:
        `kb` - A fuzzy KB.
      Returns:
        true if the individual is blocked; false otherwise.
      Throws:
        `InconsistentOntologyException` - Inconsistent ontology.

    - #### setConcreteIndividual

          public void setConcreteIndividual()

      Sets that the individual is concrete.

    - #### isConcrete

          public boolean isConcrete()

      Checks if the individual is concrete.
      Returns:
        true if the individual is concrete; false otherwise.